Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: kcoreaddons
Source: git://anongit.kde.org/kcoreaddons

Files: *
Copyright: 2008, Albert Astals Cid <aacid@kde.org>
           2013, Alex Merry <alex.merry@kdemail.net>
           2014, Alex Richardson <arichardson.kde@gmail.com>
           2007, Allen Winter <winter@kde.org>
           2007, Bernhard Loos <nhuh.put@web.de>
           2000, Charles Samuels <charles@kde.org>
           2014, Daniel Vrátil <dvratil@redhat.com>
           2002, Dave Corrie <kde@davecorrie.com>
           2016, David Edmundson <davidedmundson@kde.org>
           2013, David Faure <faure+bluesystems@kde.org>
           2005-2014, David Faure <faure@kde.org>
           2006, Dominic Battre <dominic@battre.de>
           2000, Espen Sand <espen@kde.org>
           1991, Free Software Foundation, Inc
           2008, Friedrich W. H. Kossebau <kossebau@kde.org>
           2017, Harald Sitter <sitter@kde.org>
           1999, Ian Zepp <icszepp@islc.net>
           2014, Ivan Cukic <ivan.cukic@kde.org>
           2006, Jacob R Rideout <kde@jacobrideout.net>
           2004, Jan Schaefer <j_schaef@informatik.uni-kl.de>
           2013, John Layt <jlayt@kde.org>
           2005, Joseph Wenninger <kde@jowenn.at>
           2006, Kevin Ottens <ervin@kde.org>
           2006, Martin Pool <mbp@canonical.com>
           1999, Matthias Kalle Dalheimer <kalle@kde.org>
           2007, Matthias Kretz <kretz@kde.org>
           2010, Michael Leupold <lemma@confuego.org>
           2009, Michael Pyne <mpyne@kde.org>
           2014, Montel Laurent <montel@kde.org>
           2015, Nick Shaforostoff <shafff@ukr.net>
           2002-2008, Oswald Buddenhagen <ossi@kde.org>
           1999, Sean Harmer <sh@astro.keele.ac.uk>
           2000, Stephan Kulow <coolo@kde.org>
           2010, Teo Mrnjavac <teo@kde.org>
           2002-2003, Tim Jansen <tim@tjansen.de>
           2003, Waldo Bastian <bastian@kde.org>
           2000, Espen Sand <espen@kde.org>
           2008, Friedrich W. H. Kossebau <kossebau@kde.org>
           2017, Harald Sitter <sitter@kde.org>
           2006, Nicolas GOUTTE <goutte@kde.org>
           2010, Teo Mrnjavac <teo@kde.org>
           2009, Adriaan de Groot, Mustapha Abubakar, Ibrahim Dasuna
           2006, Canonical Ltd, and Rosetta Contributors
           1998, Erez Nir <erez-n@actcom.co.il>
           1998-2017, Free Software Foundation, Inc
           2008-2009, K Desktop Environment
           2005, KDE Armenian translation team
           2005, KDE Russian translation team
           2000-2004, KDE e.v
           2007, KDE i18n Project for Vietnamese
           1999-2003, Meni Livne <livne@kde.org>
           2006, This file is distributed under the same license as the kdelibs package
           2002-2016, This_file_is_part_of_KDE
           2001, translate.org.za
License: LGPL-2+

Files: autotests/kaboutdataapplicationdatatest.cpp
       autotests/kaboutdatatest.cpp
       autotests/kcompositejobtest.cpp
       autotests/kcompositejobtest.h
       autotests/kdelibs4configmigratortest.cpp
       autotests/kdelibs4migrationtest.cpp
       autotests/kjobtest.cpp
       autotests/kjobtest.h
       autotests/kmacroexpandertest.cpp
       autotests/krandomtest.cpp
       autotests/kshelltest.cpp
       autotests/ktexttohtmltest.cpp
       src/lib/caching/kshareddatacache.cpp
       src/lib/caching/kshareddatacache.h
       src/lib/caching/kshareddatacache_p.h
       src/lib/caching/kshareddatacache_win.cpp
       src/lib/io/kbackup.cpp
       src/lib/io/kbackup.h
       src/lib/io/kdirwatch.cpp
       src/lib/io/kdirwatch.h
       src/lib/io/kdirwatch_p.h
       src/lib/io/kmessage.cpp
       src/lib/io/kmessage.h
       src/lib/jobs/kcompositejob.cpp
       src/lib/jobs/kcompositejob.h
       src/lib/jobs/kcompositejob_p.h
       src/lib/jobs/kjob.cpp
       src/lib/jobs/kjob.h
       src/lib/jobs/kjob_p.h
       src/lib/jobs/kjobtrackerinterface.cpp
       src/lib/jobs/kjobtrackerinterface.h
       src/lib/plugin/kexportplugin.h
       src/lib/plugin/kpluginloader.cpp
       src/lib/plugin/kpluginloader.h
       src/lib/plugin/kpluginmetadata.cpp
       src/lib/plugin/kpluginmetadata.h
       src/lib/randomness/krandomsequence.h
       src/lib/text/kstringhandler.h
       tests/faceicontest.cpp
       tests/faceicontest.h
       tests/kdirwatchtest.cpp
       tests/kdirwatchtest.h
       tests/kdirwatchtest_gui.cpp
       tests/kdirwatchtest_gui.h
       tests/krandomsequencetest.cpp
Copyright: 2014, Alex Richardson <arichardson.kde@gmail.com>
           2006-2007, Allen Winter <winter@kde.org>
           2016, Arne Spiegelhauer <gm2.asp@gmail.com>
           2007, Bernhard Loos <nhuh.put@web.de>
           2010-2014, David Faure <faure@kde.org>
           2006, Dirk Mueller <mueller@kde.org>
           2006, Dirk Stoecker <kde@dstoecker.de>
           2006, Dominic Battre <dominic@battre.de>
           2007, Flavio Castelli <flavio.castelli@gmail.com>
           2008-2016, Friedrich W. H. Kossebau <kossebau@kde.org>
           2006, Gregory S. Hayes <syncomm@kde.org>
           2017, Harald Sitter <sitter@kde.org>
           1999, Ian Zepp <icszepp@islc.net>
           2005, Ingo Kloecker <kloecker@kde.org>
           2006, Jaison Lee <lee.jaison@gmail.com>
           2008, Jarosław Staniek <staniek@kde.org>
           2013, Kevin Funk <kevin@kfunk.org>
           2006-2007, Kevin Ottens <ervin@kde.org>
           2006, Martin Pool <mbp@canonical.com>
           2010-2016, Michael Pyne <mpyne@kde.org>
           2006, Michaël Larouche <michael.larouche@kdemail.net>
           2014, Montel Laurent <montel@kde.org>
           2014, Nicolás Alvarez <nicolas.alvarez@gmail.com>
           2003-2008, Oswald Buddenhagen <ossi@kde.org>
           2008, Rafal Rzepecki <divided.mind@gmail.com>
           2012, Ralf Jung <ralfjung-e@gmx.de>
           2000, Rik Hemsley (rikkus) <rik@kde.org>
           2011, Romain Perier <bambi@ubuntu.com>
           1999, Sean Harmer <sh@astro.keele.ac.uk>
           2000, Stephan Kulow <coolo@kde.org>
           1998, Sven Radej <sven@lisa.exp.univie.ac.at>
           2005, Thomas Braxton <brax108@cox.net>
           1999, Waldo Bastian <bastian@kde.org>
License: LGPL-2

Files: autotests/alwaysunloadplugin.cpp
       autotests/alwaysunloadplugin.h
       autotests/jsonplugin.cpp
       autotests/jsonplugin.h
       autotests/jsonplugin2.cpp
       autotests/jsonplugin2.h
       autotests/multiplugin.cpp
       autotests/multiplugin.h
       autotests/unversionedplugin.cpp
       autotests/unversionedplugin.h
       autotests/versionedplugin.cpp
       autotests/versionedplugin.h
Copyright: 2014, Alex Merry <alexmerry@kde.org>
           2013, Sebastian Kügler <sebas@kde.org>
License: GPL-2+3+KDEeV

Files: autotests/kpluginfactorytest.cpp
       autotests/kpluginloadertest.cpp
       autotests/kpluginmetadatatest.cpp
       po/ca/*
       po/ca@valencia/*
       po/uk/*
       src/desktoptojson/desktoptojson.cpp
       src/desktoptojson/desktoptojson.h
       src/desktoptojson/main.cpp
       src/lib/plugin/desktopfileparser_p.h
Copyright: 2014, Alex Merry <alex.merry@kde.org>
           2015, Alex Richardson
           2014, Alex Richardson <arichardson.kde@gmail.com>
           2013-2014, Sebastian Kügler <sebas@kde.org>
           2014-2018, This_file_is_part_of_KDE
License: LGPL-2.1+3+KDEeV

Files: src/lib/io/kfilesystemtype.cpp
       src/lib/io/kfilesystemtype.h
Copyright: 2011, David Faure <faure@kde.org>
License: LGPL-2.1

Files: src/lib/caching/posix_fallocate_mac.h
Copyright: 2010, Mozilla Foundation
           2015-2016, R.J.V. Bertin
License: GPL-2+ or LGPL-2.1+ or MPL-1.1

Files: autotests/kshareddatacachetest.cpp
Copyright: 2012, David Faure <faure@kde.org>
License: LGPL-2+3+KDEeV

Files: debian/*
Copyright: 2014 Michał Zając <quintasan@kubuntu.org>
License: LGPL-2+

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 1. Redistributions of source code must retain the copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License.
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-2+3+KDEeV
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License or (at your option) version 3 or any later version
 accepted by the membership of KDE e.V. (or its successor approved
 by the membership of KDE e.V.), which shall act as a proxy
 defined in Section 14 of version 3 of the license.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in "/usr/share/common-licenses/GPL-2", and the
 complete text of the GNU General Public License version 3 can be found in
 "/usr/share/common-licenses/GPL-3".

License: LGPL-2
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation;
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public
 License along with this library. If not, see <http://www.gnu.org/licenses/>
 .
 The complete text of the GNU Library General Public License version 2 can be
 found in "/usr/share/common-licenses/LGPL-2".

License: LGPL-2+
 This package is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU Library General Public
 License version 2 can be found in "/usr/share/common-licenses/LGPL-2".

License: LGPL-2+3+KDEeV
 This library is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2 of the License or ( at
 your option ) version 3 or, at the discretion of KDE e.V. ( which shall
 act as a proxy as in section 14 of the GPLv3 ), any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 .
 On Debian systems, the complete text of the GNU Lesser General Public License
 version 2 can be found in "/usr/share/common-licenses/LGPL-2", and the
 complete text of the GNU Lesser General Public License version 3 can be found
 in "/usr/share/common-licenses/LGPL-3".

License: LGPL-2.1
 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License version 2.1 as published
 by the Free Software Foundation.
 .
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this library.  If not, see <http://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU Lesser General Public License
 version 2.1 can be found in `/usr/share/common-licenses/LGPL-2.1'.

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General Public License
 version 2.1 can be found in `/usr/share/common-licenses/LGPL-2.1'.

License: LGPL-2.1+3+KDEeV
 This library is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2.1 of the License or ( at
 your option ) version 3 or, at the discretion of KDE e.V. ( which shall
 act as a proxy as in section 14 of the GPLv3 ), any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 .
 On Debian systems, the complete text of the GNU Lesser General Public License
 version 2.1 can be found in "/usr/share/common-licenses/LGPL-2.1", and the
 complete text of the GNU Lesser General Public License version 3 can be found
 in "/usr/share/common-licenses/LGPL-3".

License: MPL-1.1
 The contents of this file are subject to the Mozilla Public License Version
 1.1 (the "License"); you may not use this file except in compliance with
 the License. You may obtain a copy of the License at
 http://www.mozilla.org/MPL/
 .
 Software distributed under the License is distributed on an "AS IS" basis,
 WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 for the specific language governing rights and limitations under the
 License.
